"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectDetailsQuerySchema = exports.loanToValueQuerySchema = exports.interestRatesQuerySchema = void 0;
const zod_1 = require("zod");
const dateStr = zod_1.z
    .string()
    .refine((v) => new Date(v).toString() !== "Invalid Date", {
    message: "Invalid date",
});
exports.interestRatesQuerySchema = zod_1.z.object({
    correlationId: zod_1.z.string().optional(),
    interestGroupCode: zod_1.z.string().optional(),
    date: dateStr.optional(),
    countryIds: zod_1.z.string(),
    businessAreaIds: zod_1.z.string(),
});
exports.loanToValueQuerySchema = zod_1.z.object({
    correlationId: zod_1.z.string().optional(),
    productCode: zod_1.z.string().optional(),
    countryIds: zod_1.z.string(),
    businessAreaIds: zod_1.z.string(),
});
exports.objectDetailsQuerySchema = zod_1.z
    .object({
    municipalityNumber: zod_1.z.string(),
    cadastralUnitNumber: zod_1.z.string(),
    unitNumber: zod_1.z.string(),
    leaseholdUnitNumber: zod_1.z.string(),
    sectionNumber: zod_1.z.string(),
})
    .or(zod_1.z.object({
    organizationNumber: zod_1.z.string(),
    shareNumber: zod_1.z.string(),
}));
